
Redmine - Defect #7573

Clicking "View All Issues" from my page throws exception

2011-02-07 22:59 - Tom DeMay

Status: Closed Start date: 2011-02-07

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.4

Description

Go to "my page", click on "view all issues" from any list and it throws a NilClass exception

Processing IssuesController#index (for 10.1.250.210 at 2011-02-07 16:35:07) [GET]

Parameters: {"watcher_id"=>"me", "set_filter"=>"1", "action"=>"index", "controller"=>"issues", "sort"=>"updated_on:desc"}

SQL (0.4ms)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings`

User Load (0.3ms)   SELECT * FROM `users` WHERE (`users`.`id` = 1) AND (users.status = 1) AND ( (`users`.`type` = 'User' OR

`users`.`type` = 'AnonymousUser' ) )

Tracker Load (0.5ms)   SELECT * FROM `trackers` ORDER BY position

IssueStatus Load (0.4ms)   SELECT * FROM `issue_statuses` ORDER BY position

IssuePriority Load (0.5ms)   SELECT * FROM `enumerations` WHERE ( (`enumerations`.`type` = 'IssuePriority' ) ) ORDER BY

enumerations.position ASC

Project Load (0.6ms)   SELECT * FROM `projects` WHERE (projects.status=1)

User Load (0.8ms)   SELECT * FROM `users` WHERE (users.id IN (SELECT DISTINCT user_id FROM members WHERE

project_id IN (1,2,3,4))) AND (users.status = 1) AND ( (`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) )

Version Load Including Associations (1.5ms)   SELECT `versions`.`id` AS t0_r0, `versions`.`project_id` AS t0_r1, `versions`.`name`

AS t0_r2, `versions`.`description` AS t0_r3, `versions`.`effective_date` AS t0_r4, `versions`.`created_on` AS t0_r5,

`versions`.`updated_on` AS t0_r6, `versions`.`wiki_page_title` AS t0_r7, `versions`.`status` AS t0_r8, `versions`.`sharing` AS t0_r9,

`projects`.`id` AS t1_r0, `projects`.`name` AS t1_r1, `projects`.`description` AS t1_r2, `projects`.`homepage` AS t1_r3,

`projects`.`is_public` AS t1_r4, `projects`.`parent_id` AS t1_r5, `projects`.`created_on` AS t1_r6, `projects`.`updated_on` AS t1_r7,

`projects`.`identifier` AS t1_r8, `projects`.`status` AS t1_r9, `projects`.`lft` AS t1_r10, `projects`.`rgt` AS t1_r11 FROM `versions`

LEFT OUTER JOIN `projects` ON `projects`.id = `versions`.project_id WHERE (`versions`.`sharing` = 'system') AND

(projects.status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='issue_tracking'))

IssueCustomField Load (0.3ms)   SELECT * FROM `custom_fields` WHERE (`custom_fields`.`is_filter` = 1 AND

`custom_fields`.`is_for_all` = 1) AND ( (`custom_fields`.`type` = 'IssueCustomField' ) )

NoMethodError (undefined method `assignable_users' for nil:NilClass):

app/models/query.rb:221:in `available_filters'

app/helpers/queries_helper.rb:86:in `retrieve_query'

app/controllers/issues_controller.rb:61:in `index'

Rendering /opt/bitnami/apps/redmine/public/500.html (500 Internal Server Error)

^C

History

#1 - 2011-02-08 00:12 - Etienne Massip

Which Redmine version, what gems in which version, plugins, etc. (see SubmittingBugs)

#2 - 2011-02-09 00:48 - Tom DeMay

I'm so sorry... I know better than that.

I'm running bitnami VM.

gt02bug001:/opt/bitnami/apps/redmine # RAILS_ENV=production ruby script/about

./script/../config/../vendor/rails/railties/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#version_requirements is deprecated and will be

removed on or after August 2010.  Use #requirement

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5
Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /opt/bitnami/apps/redmine

Environment               production

Database adapter          mysql

Database schema version   20100819172912

About your Redmine plugins

Issue Importer                      0.7

Redmine Logs plugin                 0.0.1

Redmine Custom Field Users plugin   0.0.1

Redmine Local Avatars plugin        0.1.1

gt02bug001:/opt/bitnami/apps/redmine #

#3 - 2011-02-09 10:05 - Etienne Massip

Could you try without the Redmine Custom Field Users plugin ?

What is your version of Redmine ? 1.1.0 ?

Thanks

#4 - 2011-02-09 20:42 - Tom DeMay

Etienne Massip wrote:

Could you try without the Redmine Custom Field Users plugin ?

What is your version of Redmine ? 1.1.0 ?

Thanks

 version 1.0.4

Unfortunately this is a production system. If I remove the plugin I lose data. Anyway to trouble shoot this without removing plugin?

#5 - 2011-02-09 20:52 - Tom DeMay

I didn't uninstall the plugin, but I changed options to not include the field for my project.

I still get the same problem.

#6 - 2011-02-09 22:40 - Etienne Massip

- Affected version (unused) set to 1.0.4

- Affected version set to 1.0.4

#7 - 2011-02-09 22:58 - Etienne Massip

That has something to do with custom fields, for sure.

What's this plugin used for ?

Do you have a custom field named "assignable_users" ?

#8 - 2011-02-10 14:45 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Closed as this is a plugin issue (whichever is a bundled patch available as an attachment in issue #2096).

#9 - 2011-02-10 17:22 - Tom DeMay

I'm a little confused why this was closed. Can you provide more details about the cause of the problem?  Do we know if the bug is in fact in the plugin

and that the plugin did not expose a bug in redmine?

#10 - 2011-02-10 17:47 - Etienne Massip

There are some clues :

you have a plugin named  "Redmine Custom Field Users" which is just a patch with #2096 by someone who has never came back to support it
afterwards (was supposed to be applied to 1.0.3)

the error log is referencing line 221 of query.rb which, in 1.0.4, adds custom fields filters in the general issue list

the error has been triggered on a custom field named "assignable_users" (which is the subject of the previously mentioned patch)

you had a lot of history in #2096 trying to make this piece of code work with 1.0.4, last of these problems said :

TIP: I found a work around to the plugin error on 1.0.4

You cannot use the UI to create custom field. But if you create it in the database, it appears to be perfectly usable. (e-mails aren't going out

though. don't know if they are supposed to, it would be nice)

vanilla redMine works

I'll try this patch on trunk to see it this may be due to a hidden redMine bug anyhow.

#11 - 2011-02-10 17:51 - Tom DeMay

I can probably save you some trouble. I am trying to convert the user list to a regular list so I can preserve the data. Once I'm done I will uninstall the

plugin and give it another try.

Plug in doesn't seem to be worth it. I can't export PDFs with on any projects with the plugin.

#12 - 2011-02-10 18:06 - Etienne Massip

Maybe should you store your data in a text custom field until #2096 is treated (which may take a while, I agree).

#13 - 2011-02-10 18:40 - Tom DeMay

YUP!

Removing plugin solved the problem. Thanks for your help

#14 - 2011-02-18 16:35 - Etienne Massip

FYI, its author just updated the custom field plugin in #2096 (note 56).

Don't know if it fixes your "My page" issue, though.
